## golang-github-r3labs-diff 3.0.0

=== Makefile ===
install:
	go install -v ${LDFLAGS}

deps:
	go get github.com/stretchr/testify

test:
	@go test -v -cover ./...

cover:
	@go test -coverprofile cover.out

=== debian/changelog ===
golang-github-r3labs-diff (3.0.0-3) unstable; urgency=medium

  * Team upload
  * Update Standards-Version to 4.6.2 (no changes)
  * Add patch to skip flaky TestDiff/mixed-slice-map

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Feb 2023 22:08:33 +0800

golang-github-r3labs-diff (3.0.0-2) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 17 Oct 2022 15:41:57 +0200

golang-github-r3labs-diff (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1021722).

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 14:28:35 +0000

=== debian/control ===
Source: golang-github-r3labs-diff
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-gopkg-vmihailenco-msgpack.v2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-r3labs-diff
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-r3labs-diff.git
Homepage: https://github.com/r3labs/diff
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/r3labs/diff/v3

Package: golang-github-r3labs-diff-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev,
         golang-gopkg-vmihailenco-msgpack.v2-dev,
         ${misc:Depends}
Description: diffing library for Go structures
 Utilizing field tags and reflection, this library makes it possible
 to compare two structures of the same type and create a changelog of
 all modified values. The produced changelog can easily be serialized
 to JSON.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/r3labs/diff/tags .*/v?(\d\S*)\.tar\.gz debian
